# Process custom watchlist

`POST /omni/process/watchlist`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

This endpoint fetches data (photo, email, phone, document number) from onboarding session and tries to find a match in custom
watchlist database. If a match on the watchlist is found, then the score influence is calculated based on the number of matched fields.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Id of onboarding session. If not present, it will be extracted from token. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `match` | boolean |  | Flag indicating if a match in the watchlist has been found. |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
